## bpm-tools 0.3

=== Makefile ===
-include .config

PREFIX ?= /usr/local
INSTALL ?= install

BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man

CFLAGS ?= -O3

CFLAGS += -Wall
LDLIBS += -lm

.PHONY:	clean install dist

bpm:	bpm.o

clean:
	rm -f bpm *.o

install:
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -t $(DESTDIR)$(BINDIR) bpm bpm-graph bpm-tag
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man1
	$(INSTALL) -t $(DESTDIR)$(MANDIR)/man1 bpm.1 bpm-graph.1 bpm-tag.1

dist:
	mkdir -p dist
	V=$$(git describe) && git archive --prefix=bpm-tools-$$V/ HEAD \
		| gzip > dist/bpm-tools-$$V.tar.gz

=== debian/changelog ===
bpm-tools (0.3-5) unstable; urgency=medium

  * Use debhelper-compat 13
  * Set Rules-Requires-Root: no in debian/control
  * Bump Standards-Version to 4.7.0
  * Freshen years in debian/copyright
  * Add libsox-fmt-mp3 to Recommends (LP: #1849527)
  * Update Homepage and debian/watch URLs

 -- tony mancill <tmancill@debian.org>  Sun, 08 Sep 2024 10:32:38 -0700

bpm-tools (0.3-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ tony mancill ]
  * Bump Standards-Version to 4.2.1

 -- tony mancill <tmancill@debian.org>  Sun, 25 Nov 2018 14:15:10 -0800

bpm-tools (0.3-3) unstable; urgency=medium

  * Update Vcs fields for migration from Alioth -> Salsa
  * Bump Standards-Version to 4.1.4
  * Use debhelper 11

 -- tony mancill <tmancill@debian.org>  Sun, 01 Jul 2018 07:49:04 -0700

bpm-tools (0.3-2) unstable; urgency=low

  * Update Vcs fields to be canonical.
  * Remove extraneous spaces from package description.
  * Bump Standards-Version to 3.9.6 (no changes).

 -- tony mancill <tmancill@debian.org>  Sat, 21 Feb 2015 13:17:05 -0800

bpm-tools (0.3-1) unstable; urgency=low

  * Initial release (Closes: #709262)

 -- tony mancill <tmancill@debian.org>  Sun, 02 Jun 2013 18:07:18 -0700

=== debian/control ===
Source: bpm-tools
Section: sound
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://www.pogo.org.uk/~mark/bpm-tools/
Vcs-Browser: https://salsa.debian.org/debian/bpm-tools
Vcs-Git: https://salsa.debian.org/debian/bpm-tools.git
Rules-Requires-Root: no

Package: bpm-tools
Architecture: any
Depends: sox, ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuplot, vorbis-tools, flac, id3v2, libsox-fmt-mp3
Suggests: libsox-fmt-all
Description: command-line tool to calculate tempo of audio
 The bpm-tools commands are used to automatically calculate the tempo
 (in beats-per-minute) of music, optionally displaying an  analysis and
 adding it to file 'tags'. The data from these tags can be especially
 useful for navigating a music library in DJ software such as xwax(1).
 .
 The bpm command implements the algorithm on raw data, but the most
 commonly used command is bpm-tag to tag the file with the tempo in bpm.
 The bpm-graph command will produce a plot of the results of the
 autocorrelation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PREFIX=/usr

%:
	dh $@

=== debian/watch ===
version=4
https://www.pogo.org.uk/~mark/bpm-tools releases/bpm-tools-(.*).tar.gz
